# .R - 
# /R/.R

# Copyright 2003-2007 FLR Team. Distributed under the GPL 2 or later
# Maintainer: Iago Mosqueira, JRC
# $Id:  $

# pkg A, defines and exports generic and first method
library(Apkg)

# look what method will be called
getMethod('plot', c('mynum', 'missing'))

# test for 'mynum', 'missing'
plot(new('mynum', 2))

# and for 'mynum', 'ANY'
plot(new('mynum', 2), 1)

# both work as expected, and plot(9) is called

# pkg B redefines both plot('mynum', 'missing') and plot('mynum', 'ANY')
library(Bpkg)

# the new method, plot(1:5), is shown by getMethod
getMethod('plot', c('mynum', 'missing'))

# but the old plot(9) is being called instead
plot(new('mynum', 2))

# while plot('mynum', 'ANY') is being redefined properly
plot(new('mynum', 2), 1)

# if I trace(plot) the new method gets called
trace("plot", browser, exit=browser, signature = c("mynum", "missing"))

plot(new('mynum', 2))
